/*
    ServerWiper, watch a Source server to punish bad behaviour
    Copyright (C) 2007-2008  Jonathan "Jmgr" Mercier-Ganady

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Contact e-mail : sw@jmgr.info
*/

#ifndef _INCLUDE_APOLOGIES_H
#define _INCLUDE_APOLOGIES_H

#include "util.h"
#include "serverWiper.h"

class ApologyManager : public Singleton <ApologyManager>
{
    friend class Singleton <ApologyManager>;

public:
    ApologyManager();
    ~ApologyManager();

    void loadApologies(shString const& filename);

    bool isApology(shString const& text, shString & apology);

private:
    void addApology(shString const& apology);

    shVector <shString>apologies;
};

#endif //_INCLUDE_APOLOGIES_H

