/*
    ServerWiper, watch a Source server to punish bad behaviour
    Copyright (C) 2007-2008  Jonathan "Jmgr" Mercier-Ganady

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Contact e-mail : sw@jmgr.info
*/

#ifndef _INCLUDE_GREETINGS_H
#define _INCLUDE_GREETINGS_H

#include "util.h"
#include "serverWiper.h"

class GreetingManager : public Singleton <GreetingManager>
{
    friend class Singleton <GreetingManager>;

public:
    GreetingManager();
    ~GreetingManager();

    void loadGreetings(shString const& filename);

    bool isGreeting(shString const& text, shString &greeting);

private:
    void addGreeting(shString const& greeting);

    shVector <shString>greetings;
};

#endif //_INCLUDE_GREETINGS_H
