/*
ServerWiper, watch a Source server to punish bad behaviour
Copyright (C) 2007-2008  Jonathan "Jmgr" Mercier-Ganady

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Contact e-mail : sw@jmgr.info
*/

#ifndef _TEAM_H
#define _TEAM_H

#include "serverWiper.h"

class TeamManager : public Singleton <TeamManager>
{
	friend class Singleton <TeamManager>;

public:
	TeamManager();
	~TeamManager();

	bool loadTeamFile(shString const& filename);
    bool isTeamMember(shString const& steamID);
	void checkPlayer(int const& playerId);

private:
    shVector<shString> team;
};

#endif //_TEAM_H
