/*
    ServerWiper, watch a Source server to punish bad behaviour
    Copyright (C) 2007-2008  Jonathan "Jmgr" Mercier-Ganady

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Contact e-mail : sw@jmgr.info
*/

#ifndef _INCLUDE_HELP_H
#define _INCLUDE_HELP_H

#include "util.h"
#include "serverWiper.h"

class HelpManager : public Singleton <HelpManager>
{
    friend class Singleton <HelpManager>;

public:
    HelpManager();
    ~HelpManager();

    void loadHelpMessages();
    bool getRandomHelpMessage(shString & message);

private:
    void addHelpMessage(shString const& helpMessage);

    shVector <shString>helpMessages;
};

#endif //_INCLUDE_HELP_H

